{% extends "base.html" %}
{% block title %}Prototype Details{% endblock %}
{% block head %}
  {{ super() }}
  <style>
    .img-container {
        display: inline-block; /* Alignement horizontal des conteneurs d'images */
        position: relative;
        margin: 5px;
    }
    
    .thumbnail {
        width: 100px; /* Largeur des miniatures */
        height: 100px; /* Hauteur des miniatures */
        object-fit: cover; /* Garantit que les images couvrent la zone sans être déformées */
        border: 1px solid #ccc; /* Bordure pour les miniatures */
        /*margin: 5px;*/
        transition: transform 0.2s; /* Animation de zoom */
    }

    .thumbnail:hover {
        transform: scale(1.1); /* Effet de zoom au survol */
        /*cursor: pointer;*/
    }

    .delete-btn {
        position: absolute;
        top: 0;
        right: 0;
        border: none;
        background-color: rgba(255, 0, 0, 0.6); /* Rouge semi-transparent */
        color: white;
        cursor: pointer;
        font-size: 12px;
        padding: 2px 5px;
        border-radius: 50%; /* Bouton rond */
        display: none; /* Caché par défaut */
    }

    .img-container:hover .delete-btn {
        display: block; /* Afficher le bouton au survol de l'image */
    }

    .modal {
        display: none; /* Caché par défaut */
        position: fixed;
        z-index: 999;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        overflow: auto; /* Permet le scroll si nécessaire */
        background-color: rgba(0, 0, 0, 0.9); /* Couleur de fond semi-transparente */
    }

    .modal-content {
        margin: 10% auto; /* Centrage vertical et horizontal */
        padding: 20px;
        width: 80%; /* Largeur du contenu de la modal */
    }

    .close {
        color: #aaa;
        float: right;
        font-size: 28px;
        font-weight: bold;
    }

    .close:hover,
    .close:focus {
        color: black;
        text-decoration: none;
        cursor: pointer;
    }
    .boutonMargin {
        margin-top: 5px;
    }
    .custom-file-upload {
        border: 1px solid #ccc;
        display: inline-block;
        padding: 6px 12px;
        cursor: pointer;
        border-radius: 4px; /* Rebords arrondis */
        background-color: #4CAF50; /* Couleur de fond verte */
        color: white; /* Texte blanc */
        font-weight: bold; /* Texte en gras */
        transition: background-color 0.3s ease; /* Transition de couleur douce */
    }
    .custom-file-upload:hover {
        background-color: #45a049; /* Changement de couleur au survol */
    }
    </style>
{% endblock %}
{% block content %}
    <h3>Prototype Details</h3>
    <div style="word-wrap: break-word; max-width: 100%;">
        <strong>Description:</strong> {{ prototype.description }}
    </div>
    <h4>Images</h4>
   
    <div id="myModal" class="modal">
        <span class="close">&times;</span>
        <img class="modal-content" id="img01">
    </div>

   
    {% for image in images %}
    <div class="img-container">
        <img src="{{ url_for('project.serve_image', image_id=image.imageID) }}" alt="Image of Prototype" class="thumbnail">
        <!-- Bouton de suppression -->
        <button class="delete-btn" onclick="event.preventDefault(); document.getElementById('delete-form-{{ image.imageID }}').submit();">
            ×
        </button>
        <form id="delete-form-{{ image.imageID }}" action="{{ url_for('project.delete_image', image_id=image.imageID) }}" method="post" style="display: none;">
        </form>
    </div>
    {% endfor %}
    

    <!-- Formulaire pour ajouter une image au prototype -->
    <h5>Add Image</h5>
    
    <form action="{{ url_for('project.add_image_to_prototype', prototype_id=prototype.prototypeID) }}" method="post" enctype="multipart/form-data">
        <label for="file-upload" class="custom-file-upload">
            Choisir Image
        </label>
        <input id="file-upload" type="file" name="image" style="display:none;" onchange="document.getElementById('fileName').innerHTML = this.value.split('\\').pop();"/>
        <span id="fileName"></span>
        <input type="submit" value="Upload Image">
    </form>
    <script>
        // Récupération des éléments pour la modal et l'image agrandie
        var modal = document.getElementById('myModal');
        var modalImg = document.getElementById("img01");
        var captionText = document.getElementById("caption");
        var close = document.getElementsByClassName("close")[0];
    
        // Ajout d'un événement pour chaque vignette
        document.querySelectorAll('.thumbnail').forEach(item => {
            item.onclick = function() {
                modal.style.display = "block";
                modalImg.src = this.src; // Définit l'image à afficher
            }
        });
    
        // Lorsque l'utilisateur clique sur <span> (x), fermez la modal
        close.onclick = function() { 
            modal.style.display = "none";
        }
    </script>
    <div class="boutonMargin">
    <a href="{{ url_for('project.view_project', project_id=prototype.projectID) }}" class="btn btn-secondary">Back to Project</a>
    <a href="{{ url_for('project.edit_prototype', prototype_id=prototype.prototypeID) }}" class="btn btn-primary">Edit Prototype</a>
    </div>
    {% endblock %}
